package com.srs.comprehensive.service;

import java.util.List;
import java.util.Map;

import com.srs.comprehensive.domain.SrsMajors;

/**
 * 【请填写功能名称】Service接口
 *
 * @author srs
 * @date 2023-06-27
 */
public interface ISrsMajorsService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param majorId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public SrsMajors selectSrsMajorsByMajorId(Long majorId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param srsMajors 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<SrsMajors> selectSrsMajorsList(SrsMajors srsMajors);

    /**
     * 新增【请填写功能名称】
     *
     * @param srsMajors 【请填写功能名称】
     * @return 结果
     */
    public int insertSrsMajors(SrsMajors srsMajors);

    /**
     * 修改【请填写功能名称】
     *
     * @param srsMajors 【请填写功能名称】
     * @return 结果
     */
    public int updateSrsMajors(SrsMajors srsMajors);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param majorIds 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteSrsMajorsByMajorIds(Long[] majorIds);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param majorId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteSrsMajorsByMajorId(Long majorId);

    /**
     * 部门
     * @return
     */
    public Map<String,Object> dataSync();

    void sqlserverSynchronousMYSQL(List<Map> list);
    void synchronousMYSQL(List<Map> list);
    //根据专业名称获取专业id
    public Long getMajorIdByName(String name);
    //获取学生的专业名称
    public  SrsMajors getOwnMajorName(String stuNo);

}
